body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #fff;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2em;
    background-color: #fff;
}

.logo {
    height: 50px;
}

.menu {
    list-style: none;
    display: flex;
    gap: 1em;
    margin: 0;
    padding: 0;
}

.menu li {
    position: relative;
    padding: 0.5em 1em;
    cursor: pointer;
}

.menu li.active::after {
    content: '';
    position: absolute;
    bottom: -0.1em;
    left: 0;
    width: 125px;
    height: 4px;
    background-color: #db313c;
    border-radius: 2px;
}

.hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.hamburger span {
    height: 4px;
    background: #898989;
    margin: 4px 0;
    width: 35px;
    border-radius: 2px;
    display: block;
}

/* Lightbox styles */
.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
	z-index: 10000;
}

.lightbox.active {
    display: flex;
}

.mobile-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: center;
}

.mobile-menu li {
    padding: 1em;
    background: #fff;
    margin: 0.5em 0;
    cursor: pointer;
}

.block {
    position: relative;
    margin: 0;
}

.block img {
    width: 100%;
    height: auto;
    display: block;
}
.button-container1 {
    position: absolute;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
	background: none;
	border: 0;display: block;
  	z-index: 9;
  	right: 38%;
  	width: 25%;
  	top: 7%;
	margin-top: 30%;
}


.button-container2 {
    position: absolute;
    bottom: 2%;
    width: 100%;
    text-align: center;
}
.button-container2 img {
    width: 50px;
    height: 50px;
}
.button-container3 {
    position: absolute;
    bottom: 10%;
    width: 100%;
    text-align: center;
}
.button-container3 img {
    width: 50px;
    height: 50px;
}
.centered {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.button-container2 .btn {
    display: inline-block;
    width: 200px;
    height: 50px;
    border-radius: 30px;
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2);
    border: none;
    cursor: pointer;
    font-size: 21px;
	font-weight: bold;
    color: white;
    line-height: 50px;
    text-align: center;
    margin: 0 10px;
}
.button-container3 .btn {
    display: inline-block;
    width: 200px;
    height: 50px;
    border-radius: 30px;
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2);
    border: none;
    cursor: pointer;
    font-size: 21px;
	font-weight: bold;
    color: white;
    line-height: 50px;
    text-align: center;
    margin: 0 10px;
}

.button-container2 .btn.yellow {
    background-color: #d69440; /* 土黃色 */
	text-shadow: 1px 2px 2px rgba(0, 0, 0, 0.5);
}

.button-container3 .btn.red {
    background-color: #8B0000; /* 暗紅色 */
	text-shadow: 1px 2px 2px rgba(0, 0, 0, 0.5);
}

.floating-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
	background: none;
}
.floating-button:hover {
    background-color: none;
}

footer {
    background-color: #333;
    padding: 2em;
    color: white;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 2em;
}

.footer-logo img {
    max-width: 200px;
}

.footer-text {
    text-align: center;
	font-size: 0.9em;
    flex: 5;
	padding: 0 2em;
}

.footer-icons {
    display: flex;
    gap: 1em;
}

.footer-icons .icon {
    width: 50px;
    height: 50px;
}


/* 我要開戶button */
.OpenAccount-toggle {
  position: fixed;
  z-index: 9999;
  right: 3%;
  bottom: 10%;
  border: 0;
}
#btnOpenAccount {
  border: 0;
  cursor: pointer;
  width: 9rem;
  height: 9rem;
  background:   url("../images/btn_open_web.png")center;
  background-size: cover;
}
@media screen and (max-width: 768px) {
.OpenAccount-toggle {
  	position: fixed;
  	z-index: 9999;
  	right: 3%;
  	bottom: 5%;
  	border: 0;
}
  #btnOpenAccount {
    width: 10rem;
    height: 10rem;
  }
}
@media screen and (max-width: 430px) {
.OpenAccount-toggle {
  	position: fixed;
  	z-index: 9999;
  	right: 3%;
  	bottom: 5%;
  	border: 0;
}
  #btnOpenAccount {
    width: 8rem;
    height: 8rem;
  }
}

/* Responsive styles */
@media (max-width: 430px) {
    .menu {
        display: none;
    }

    .hamburger {
        display: flex;
    }

.content-block {
        padding-bottom: 10%;
    }
	
.button-container1 {
    position: absolute;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
	background: none;
	border: 0;display: block;
  	z-index: 9;
  	right: -5%;
  	width: 85%;
  	top: 7%;
	margin-top: 118%;
}

.button-container1 img {
    width: 68%;
    height: 68%;
	overflow-clip-margin: content-box;
    overflow: clip;
}
.button-container1:hover {
    background-color: none;
}
	
.button-container3 {
    position: absolute;
    bottom: 6%;
    width: 100%;
    text-align: center;
}
.button-container3 img {
    width: 50px;
    height: 50px;
}
.button-container2 .btn {
    display: inline-block;
    width: 150px;
    height: 50px;
    margin: 0 5px;
}
.button-container3 .btn {
    display: inline-block;
    width: 150px;
    height: 50px;
    margin: 0 5px;
}

.floating-button {
    position: fixed;
    bottom: 10px;
    right: 0px;
	margin-right: 0;
    border: none;
    border-radius: 5px;
    cursor: pointer;
	background: none;
}
.floating-button img {
	width: 50%;
	height: 50%;
	}
.floating-button:hover {
    background-color: none;
}
	
footer {
        padding: 2em;
    }
 .footer-container {
        flex-direction: column;
        align-items: center;
    }
.footer-logo {
        margin-bottom: 1em;
    }
.footer-text, .footer-icons {
        margin-bottom: 1.2em;
    }
.footer-text {
        text-align: center;
        flex: unset;
    }
	

}


@media (max-width: 768px) {
    .menu {
        display: none;
    }

    .hamburger {
        display: flex;
    }

.content-block {
        padding-bottom: 10%;
    }
	
.button-container1 {
    position: absolute;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
	background: none;
	border: 0;
    display: block;
  	z-index: 9;
  	right: 10%;
  	width: 80%;
  	top: 7%;
	margin-top: 118%;
}

.button-container1 img {
    width: 100%;
    height: 100%;
	overflow-clip-margin: content-box;
    overflow: clip;
}
.button-container1:hover {
    background-color: none;
}
	
.button-container3 {
    position: absolute;
    bottom: 6%;
    width: 100%;
    text-align: center;
}
.button-container3 img {
    width: 50px;
    height: 50px;
}

.button-container2 .btn {
    display: inline-block;
    width: 150px;
    height: 50px;
    margin: 0 5px;
}
.button-container3 .btn {
    display: inline-block;
    width: 150px;
    height: 50px;
    margin: 0 5px;
}

.floating-button {
    position: fixed;
    bottom: 10px;
    right: 0px;
	margin-right: 0;
    border: none;
    border-radius: 5px;
    cursor: pointer;
	background: none;
}
.floating-button img {
	width: 50%;
	height: 50%;
	}
.floating-button:hover {
    background-color: none;
}
	


footer {
        padding: 2em;
    }
 .footer-container {
        flex-direction: column;
        align-items: center;
    }
.footer-logo {
        margin-bottom: 1em;
    }
.footer-text, .footer-icons {
        margin-bottom: 1.2em;
    }
.footer-text {
        text-align: center;
        flex: unset;
    }

	

}